GET
/
v2
/
market
/
listings
/
{listing_id}
Get one projected market listing
curl --request GET \
  --url https://api-v2.watchcollect.com/v2/market/listings/{listing_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "classified_watch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "classification_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "watch_index": 123,
  "full_set_status": [],
  "sender": {
    "contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "phone_number": "<string>",
    "lid": "<string>",
    "display_name": "<string>",
    "country_prefix": "<string>"
  },
  "source": {
    "canonical_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "message_timestamp_ms": 123,
    "group_ids": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ],
    "group_names": [
      "<string>"
    ],
    "occurrence_count": 123,
    "first_seen_at_ms": 123,
    "last_seen_at_ms": 123,
    "has_media": true,
    "is_duplicate": true,
    "is_hidden": true,
    "is_revoked": true,
    "message_text": "<string>",
    "media_asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "media_url": "<string>"
  },
  "created_at_ms": 123,
  "updated_at_ms": 123,
  "brand": "<string>",
  "model": "<string>",
  "reference": "<string>",
  "year": 123,
  "price": {
    "amount_minor": 123,
    "currency": "<string>"
  },
  "display_price": {
    "amount_minor": 123,
    "currency": "<string>"
  },
  "price_eur_minor": 123,
  "dial_type": "<string>",
  "variant": "<string>",
  "price_indicator": {
    "comparable_count": 123,
    "median_price_eur_minor": 123,
    "delta_eur_minor": 123,
    "delta_percent": 123
  },
  "extraction_context": {
    "candidate_id": "<string>",
    "raw_text": "<string>",
    "source_lines": [
      123
    ],
    "source_line_start": 123,
    "source_line_end": 123,
    "intent": "<string>",
    "confidence": 123,
    "field_sources": {},
    "inherited_context": {},
    "global_context": {
      "intent": "<string>",
      "currency": "<string>",
      "location": "<string>",
      "price_type": "<string>",
      "availability": "<string>",
      "trade_allowed": true,
      "default_condition": "<string>",
      "default_set": "<string>"
    },
    "warnings": [
      "<string>"
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

listing_id
string<uuid>
required

Query Parameters

display_currency
string
Required string length: 3

Response

Market listing detail.

id
string<uuid>
required
classified_watch_id
string<uuid>
required
classification_id
string<uuid>
required
watch_index
integer
required
side
enum<string>
required
Available options:
for_sale,
want_to_buy
full_set_status
enum<string>[]
required
Available options:
WATCH,
BOX,
PAPERS,
CARD
sender
object
required
source
object
required
created_at_ms
integer<int64>
required
updated_at_ms
integer<int64>
required
brand
string | null
model
string | null
reference
string | null
year
integer | null
price
object
display_price
object
price_eur_minor
integer<int64> | null
condition
enum<string> | null
Available options:
NEW,
LIKE_NEW,
USED
dial_type
string | null
variant
string | null
price_indicator
object
extraction_context
object